EDIT - bug #9369

Reference Detail is missing in MediaSpecimen details view
01/08/2021 07:17 PM - Andreas Mller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 60%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.19

Severity: normal Found in Version:

Description

but the detail often is important. In general we could also implement as like a (single) source but there is some more discussion on

correct modelling needed so for now it is enough to add the ref detail.
' ||| = W)

Accession Number

Published in Jacquin, N, Florae Austriacae 3. 1775 | =
F'u.l;i\s?l___-'

Media URI | https:/fwww.biodiversitylibrary.org/page/277958 |

Keine Vorschau fir diesen Dateityp verhanden

Maybe when this is implemented we could also discuss if we should change the order of elements in the view.
My suggestion is to start with the URI which is the most important, followed by

e Kind of Media

Motif (which is the media title) ----- (some space)
e prepared by

preparation date

method ----- (space)

collection

accession number ----- (space)

published in

published in detail ------- (space)

¢ publish flag

Related issues:
Copied to EDIT - task #9421: [Discuss] Move URI to top in MediaSpecimen New

Associated revisions

Revision 527b4867 - 01/13/2021 12:06 PM - Katja Luther

fix update of media details header and add published in details

Revision 66e893c0 - 01/13/2021 12:07 PM - Katja Luther

published in details more detailed label

Revision 4e1d9174 - 01/25/2021 04:48 PM - Katja Luther

ref #9369: add space between several fields in mediaspecimen details

History

#1 - 01/08/2021 07:17 PM - Andreas Miiller
- Description updated

#2 - 01/13/2021 12:08 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller
- Priority changed from New to Priority14

please review

#3 - 01/21/2021 11:06 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 60

The missing reference detail is fixed.

The spaces between some fields are still missing.

Moving the URI to top as suggested in the ticket is not yet implemented but maybe this is difficult to implement as it is also possible to switch to the
advanced view here. In this view the MediaRepresentation data should be at the end as it is now as otherwise it is confusing.

So if moving URI to top is not possible without changing current order in advanced view this is not necessary to do.
Another option is to move it below Motif as Kind of Media, Motiv and URI are the fields usually expected to be filled.

#4 - 01/21/2021 11:37 AM - Katja Luther
Andreas Miller wrote:
The missing reference detail is fixed.
The spaces between some fields are still missing.
Moving the URI to top as suggested in the ticket is not yet implemented but maybe this is difficult to implement as it is also possible to switch to
the advanced view here. In this view the MediaRepresentation data should be at the end as it is now as otherwise it is confusing.

So if moving URI to top is not possible without changing current order in advanced view this is not necessary to do.
Another option is to move it below Motif as Kind of Media, Motiv and URI are the fields usually expected to be filled.

The URI is part of the mediaDetailElement, therefore the SpecimenMediaDetailElement needs to be implemented without reusing the
mediaDetailElement.

#5 - 01/25/2021 04:10 PM - Katja Luther
- Status changed from Feedback to In Progress

- Target version changed from Release 5.19 to Release 5.21

move this ticket to 5.20 because moving the uri needs some more implementation.

#6 - 01/25/2021 04:17 PM - Andreas Miiller
- Copied to task #9421: [Discuss] Move URI to top in MediaSpecimen added

#7 - 01/25/2021 04:20 PM - Andreas Miiller
- Status changed from In Progress to Feedback
- Target version changed from Release 5.21 to Release 5.19
Katja Luther wrote:
move this ticket to 5.20 because moving the uri needs some more implementation.
Moving URI to top still needs to be discussed and is not really urgent. So | split this ticket which is mostly about the missing detail and move it back to
5.19.

However, the spaces are still open | guess. Can this be easily implemented without "reuse"-problems within this ticket? Move to #9421 otherwise and
close this ticket.

#8 - 01/25/2021 04:47 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

Spaces are added, please have a look
https://dev.e-taxonomy.eu/redmine/issues/9421

#9 - 01/26/2021 01:22 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther
